"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ar_common_1 = require("../../ar-common");
var arcommon_1 = require("./arcommon");
var armaterial_1 = require("./armaterial");
var ARBox = (function (_super) {
    __extends(ARBox, _super);
    function ARBox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ARBox.create = function (options) {
        var scale = (options.scale instanceof ar_common_1.ARPosition ? options.scale : {
            x: options.scale,
            y: options.scale,
            z: options.scale
        });
        var box = SCNBox.boxWithWidthHeightLengthChamferRadius(scale.x, scale.y, scale.z, options.chamferRadius || 0.0);
        if (options.material) {
            var materialArray = NSMutableArray.alloc().initWithCapacity(1);
            materialArray.addObject(armaterial_1.ARMaterial.getMaterial(options.material));
            box.materials = materialArray;
        }
        return new ARBox(options, SCNNode.nodeWithGeometry(box));
    };
    return ARBox;
}(arcommon_1.ARCommonNode));
exports.ARBox = ARBox;
