"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ARCommonNode = (function () {
    function ARCommonNode(options, node) {
        this.onTapHandler = options.onTap;
        this.onLongPressHandler = options.onLongPress;
        node.position = this.position = options.position;
        node.name = this.id = (JSON.stringify(options.position) + "_" + new Date().getTime());
        node.physicsBody = SCNPhysicsBody.bodyWithTypeShape(1, null);
        node.physicsBody.mass = options.mass || 0;
        node.physicsBody.categoryBitMask = 1;
        this.ios = node;
    }
    ARCommonNode.prototype.onTap = function () {
        this.onTapHandler && this.onTapHandler(this);
    };
    ARCommonNode.prototype.onLongPress = function () {
        this.onLongPressHandler && this.onLongPressHandler(this);
    };
    ARCommonNode.prototype.remove = function () {
        this.ios.removeFromParentNode();
    };
    return ARCommonNode;
}());
exports.ARCommonNode = ARCommonNode;
