"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var armaterial_1 = require("./armaterial");
var arcommon_1 = require("./arcommon");
var ARTube = (function (_super) {
    __extends(ARTube, _super);
    function ARTube() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ARTube.create = function (options) {
        var tube = SCNTube.tubeWithInnerRadiusOuterRadiusHeight(options.innerRadius, options.outerRadius, options.height);
        if (options.material) {
            var materialArray = NSMutableArray.alloc().initWithCapacity(1);
            materialArray.addObject(armaterial_1.ARMaterial.getMaterial(options.material));
            tube.materials = materialArray;
        }
        return new ARTube(options, SCNNode.nodeWithGeometry(tube));
    };
    return ARTube;
}(arcommon_1.ARCommonNode));
exports.ARTube = ARTube;
